petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSMonitor

Runs all user-provided monitor routines set using TSMonitorSet()

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSMonitor(TS ts,PetscInt step,PetscReal ptime,Vec u)

Collective on TS Many br

### Input Parameters

| ts | - time stepping context obtained from TSCreate() Many br
| step | - step number that has just completed Many br
| ptime | - model time of the state Many br
| u | - state at the current model time Many br

### Notes

TSMonitor() is typically used automatically within the time stepping implementations. Many brUsers would almost never call this routine directly. Many br

A step of -1 indicates that the monitor is being called on a solution obtained by interpolating from computed solutions Many br

Many br

### Keywords

TS, timestep

Level:developer
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages